com.unitech.lib.reader.event

## Interface IReaderEventListener

-     public interface IReaderEventListener

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `onNotificationState(NotificationState state, java.lang.Object params)` Called to notify the state of the Device.
    `void` | `onReaderActionChanged(BaseReader reader, ResultCode retCode, ActionState state, java.lang.Object params)` Called when the operational state of the Device associated with the BaseReader instance changes.
    `void` | `onReaderBatteryState(BaseReader reader, int batteryState, java.lang.Object params)` Called to report the battery state of the Device attached to the BaseReader instance before it occurs.
    `void` | `onReaderKeyChanged(BaseReader reader, KeyType type, KeyState state, java.lang.Object params)` Called to report the key type and state of the Device attached to the BaseReader instance before it occurs.
    `void` | `onReaderStateChanged(BaseReader reader, ConnectState state, java.lang.Object params)` The BaseTransport instance associated with the BaseReader instance is called when the connection state of the Device changes.
    `void` | `onReaderTemperatureState(BaseReader reader, double temperatureState, java.lang.Object params)` Called to report the temperature state of the Device attached to the BaseReader instance before it occurs.

- - ### Method Detail

    - #### onReaderActionChanged

          void onReaderActionChanged(BaseReader reader,
                                     ResultCode retCode,
                                     ActionState state,
                                     java.lang.Object params)

      Called when the operational state of the Device associated with the BaseReader instance changes.
      Parameters:
        `reader` - The BaseReader instance that fired the event.
        `retCode` - ResultCode enumeration type indicating the operation result of the Device.
        `state` - An ActionState enumeration indicating the device's operational state.
        `params` - If the event is accompanied by additional information, a non-null value is passed to the instance.

    - #### onReaderBatteryState

          void onReaderBatteryState(BaseReader reader,
                                    int batteryState,
                                    java.lang.Object params)

      Called to report the battery state of the Device attached to the BaseReader instance before it occurs.
      Parameters:
        `reader` - The BaseReader instance that fired the event.
        `batteryState` - An integer representing the battery state of the Device.
        `params` - If the event is accompanied by additional information, a non-null value is passed to the instance.

    - #### onReaderKeyChanged

          void onReaderKeyChanged(BaseReader reader,
                                  KeyType type,
                                  KeyState state,
                                  java.lang.Object params)

      Called to report the key type and state of the Device attached to the BaseReader instance before it occurs.
      Parameters:
        `reader` - The BaseReader instance that fired the event.
        `type` - An KeyType enum indicating the Device's Trigger Event.
        `state` - An KeyState enum indicating the Device's Key Event.
        `params` - If the event is accompanied by additional information, a non-null value is passed to the instance.

    - #### onReaderStateChanged

          void onReaderStateChanged(BaseReader reader,
                                    ConnectState state,
                                    java.lang.Object params)

      The BaseTransport instance associated with the BaseReader instance is called when the connection state of the Device changes.
      Parameters:
        `reader` - The BaseReader instance that fired the event.
        `state` - A ConnectState enumeration indicating the connection status with the Device.
        `params` - If the event is accompanied by additional information, a non-null value is passed to the instance.

    - #### onNotificationState

          void onNotificationState(NotificationState state,
                                   java.lang.Object params)

      Called to notify the state of the Device.
      Parameters:
        `state` - A NotificationState enumeration indicating the notification status with the Device.
        `params` - If the event is accompanied by additional information, a non-null value is passed to the instance.

    - #### onReaderTemperatureState

          void onReaderTemperatureState(BaseReader reader,
                                        double temperatureState,
                                        java.lang.Object params)

      Called to report the temperature state of the Device attached to the BaseReader instance before it occurs.
      Parameters:
        `reader` - The BaseReader instance that fired the event.
        `temperatureState` - An double representing the temperature state of the Device.
        `params` - If the event is accompanied by additional information, a non-null value is passed to the instance.